#
#   Master/woapp.make
#
#   Master Makefile rules to build GNUstep web based applications.
#
#   Copyright (C) 1997 Free Software Foundation, Inc.
#
#   Author:  Manuel Guesdon <mguesdon@sbuilders.com>
#   Based on application.make by Ovidiu Predescu <ovidiu@net-community.com>
#   Based on woapp.make by Helge Hess, MDlink online service center GmbH.
#   Based on the original version by Scott Christley.
#
#   This file is part of the GNUstep Makefile Package.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

ifeq ($(RULES_MAKE_LOADED),)
include $(GNUSTEP_MAKEFILES)/rules.make
endif

# Determine the application directory extension
WOAPP_EXTENSION=woa
WOAPP_NAME := $(strip $(WOAPP_NAME))

internal-all:: $(WOAPP_NAME:=.all.woapp.variables)

internal-install:: $(WOAPP_NAME:=.install.woapp.variables)

internal-uninstall:: $(WOAPP_NAME:=.uninstall.woapp.variables)

internal-clean:: $(WOAPP_NAME:=.clean.woapp.subprojects)
	rm -rf $(GNUSTEP_OBJ_DIR)
ifeq ($(OBJC_COMPILER), NeXT)
	rm -f *.iconheader
	for f in *.$(WOAPP_EXTENSION); do \
	  rm -f $$f/`basename $$f .$(WOAPP_EXTENSION)`; \
	done
else
ifeq ($(GNUSTEP_FLATTENED),)
	rm -rf *.$(WOAPP_EXTENSION)/$(GNUSTEP_TARGET_LDIR)
else
	rm -rf *.$(WOAPP_EXTENSION)
endif
endif

internal-distclean:: $(WOAPP_NAME:=.distclean.woapp.subprojects)
	rm -rf shared_obj static_obj shared_debug_obj shared_profile_obj \
	  static_debug_obj static_profile_obj shared_profile_debug_obj \
	  static_profile_debug_obj *.woa *.debug *.profile *.iconheader

$(WOAPP_NAME):
	@$(MAKE) -f $(MAKEFILE_NAME) --no-print-directory \
	            $@.all.woapp.variables

## Local variables:
## mode: makefile
## End:
