#
#   Master/wobundle.make
#
#   Master Makefile rules to build GNUstep web bundles.
#
#   Copyright (C) 1997 Free Software Foundation, Inc.
#
#   Author:  Manuel Guesdon <mguesdon@sbuilders.com>
#   Based on WOBundle.make by Helge Hess, MDlink online service center GmbH.
#   Based on bundle.make by Ovidiu Predescu <ovidiu@net-community.com>
#
#   This file is part of the GNUstep Makefile Package.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

ifeq ($(RULES_MAKE_LOADED),)
include $(GNUSTEP_MAKEFILES)/rules.make
endif

ifeq ($(strip $(WOBUNDLE_EXTENSION)),)
WOBUNDLE_EXTENSION = .wobundle
endif

WOBUNDLE_NAME := $(strip $(WOBUNDLE_NAME))

internal-all:: $(WOBUNDLE_NAME:=.all.wobundle.variables)

internal-install:: $(WOBUNDLE_NAME:=.install.wobundle.variables)

internal-uninstall:: $(WOBUNDLE_NAME:=.uninstall.wobundle.variables)

internal-clean:: $(WOBUNDLE_NAME:=.clean.wobundle.subprojects)
	rm -rf $(GNUSTEP_OBJ_DIR) \
	       $(addsuffix $(WOBUNDLE_EXTENSION),$(WOBUNDLE_NAME))

internal-distclean:: $(WOBUNDLE_NAME:=.distclean.wobundle.subprojects)
	rm -rf shared_obj static_obj shared_debug_obj shared_profile_obj \
	  static_debug_obj static_profile_obj shared_profile_debug_obj \
	  static_profile_debug_obj

$(WOBUNDLE_NAME):
	@$(MAKE) -f $(MAKEFILE_NAME) --no-print-directory \
		$@.all.wobundle.variables


## Local variables:
## mode: makefile
## End:
